import { AudioSample, VideoSample } from 'mediabunny';
export type MediaSample = VideoSample | AudioSample;
export declare class SampleBuffer {
    private buffer;
    private bufferSize;
    constructor(bufferSize?: number);
    push(sample: MediaSample): void;
    clear(): void;
    peek(): MediaSample | undefined;
    find(desiredSeekTimeMs: number): MediaSample | undefined;
    get length(): number;
    get firstTimestamp(): number;
    getContents(): MediaSample[];
}
